package com.ssj.bean.conch.conch.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author yanghuan
 * @title: OpenTestDto
 * @projectName ssj
 * @description: TODO
 * @date 2020/5/15 17:44
 */
public class OpenTestDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private int questionNo;

    private  String questionId;

    private String question;

    private String module;

    private String answer;

    private String moduleType;

    private List<Contents> optionList;

    public String getModuleType() {
        return moduleType;
    }

    public void setModuleType(String moduleType) {
        this.moduleType = moduleType;
    }

    public int getQuestionNo() {
        return questionNo;
    }

    public void setQuestionNo(int questionNo) {
        this.questionNo = questionNo;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public List<Contents> getOptionList() {
        return optionList;
    }

    public void setOptionList(List<Contents> optionList) {
        this.optionList = optionList;
    }

    public  class Contents implements Serializable{

        private static final long serialVersionUID = -7533013383719455973L;

        private String option;

        private String value;

        private int isAnswer;

        public int getIsAnswer() {
            return isAnswer;
        }

        public void setIsAnswer(int isAnswer) {
            this.isAnswer = isAnswer;
        }

        public String getOption() {
            return option;
        }

        public void setOption(String option) {
            this.option = option;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }
}
